KLDSTAT(2)

NAME
kldstat - get status of kld file

LIBRARY
libc

SYNOPSIS
#include <sys/param.h>
#include <sys/linker.h>
int
kldstat(int fileid, struct kld_file_stat *stat);

DESCRIPTION
The kldstat() function writes the info for the file referred to by fileid into stat.

    struct kld_file_stat {
    	int         version;        /* set to sizeof(linker_file_stat) */
    	char        name[MAXPATHLEN];
    	int         refs;
    	int         id;
    	caddr_t     address;        /* load address */
    	size_t      size;           /* size in bytes */
    };

version
    This field is set to the size of the structure mentioned above by the code calling kldstat(), and not kldstat() itself.

name
    The name of the file referred to by fileid.

refs
    The number of modules referenced by fileid.

id  The id of the file specified in fileid.

address
    The load address of the kld file.

size
    The size of the file.

RETURN VALUES
kldstat() seems to always return 0.

ERRORS
The information for the file referred to by fileid is filled into the structure pointed to by stat unless:

[ENOENT]
    The file was not found (probably not loaded).

[EINVAL]
    The version specified in the version field of stat is not the proper version. You would need to rebuild world, the kernel, or your application, if this error occurs, given that you did properly fill in the version field.

[EFAULT]
    There was a problem copying one, some, or all of the fields into stat in the copyout() function.

SEE ALSO
kldfind(2), kldfirstmod(2), kldload(2), kldnext(2), kldunload(2), kld(4), kldstat(8)

HISTORY
The kld interface first appeared in FreeBSD 3.0.